--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: a
comment: 
- !ruby/struct:SM::Flow::P 
  body: Apply a block to hash, and recursively apply that block to each subhash.
- !ruby/struct:SM::Flow::VERB 
  body: "  arr = [&quot;a&quot;, [&quot;b&quot;, &quot;c&quot;, nil], nil]\n  arr.recursively{|a| a.compact! }\n  =&gt; [&quot;a&quot;, [&quot;b&quot;, &quot;c&quot;]]\n"
- !ruby/struct:SM::Flow::P 
  body: "TODO: Can this be generalized in Enumerbale?"
full_name: Array#recursively
is_singleton: false
name: recursively
params: (&block) {|a| ...}
visibility: public
